Skip to main content
GET
/
orders
/
{id}
Get order
curl --request GET \
  --url https://api.tickable.io/orders/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
  "event_id": "550e8400-e29b-41d4-a716-446655440000",
  "event_timeslot_id": "d4e5f6a7-8901-4b2c-3d4e-5f6a7b8c9d0e",
  "buyer_name": "Jane Doe",
  "buyer_email": "jane@example.com",
  "channel": "shop",
  "payment_method": "ideal",
  "total_price": 50,
  "refunded": 0,
  "payed_at": "2026-06-15T14:30:00Z",
  "created_at": "2026-06-15T14:25:00Z",
  "order_lines": [
    {
      "id": "a1b2c3d4-5678-4e9f-0a1b-2c3d4e5f6a7b",
      "ticket_type_id": "b2c4e6a8-1234-4f5a-9c8d-0e1f2a3b4c5d",
      "description": "Early Bird",
      "amount": 2,
      "cancelled_amount": 0,
      "item_price": 25,
      "discount": 0,
      "total_price": 50
    }
  ]
}

Authorizations

Authorization
string
header
required

Pass as Authorization: Bearer {token}. Accepts either an OAuth2 JWT access token or an API key (tk_live_...) created from the Tickable dashboard.

Path Parameters

id
string<uuid>
required

Order ID

Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

Response

Order found

id
string<uuid>
required
Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

event_id
string<uuid>
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

event_timeslot_id
string<uuid> | null
required
Example:

"d4e5f6a7-8901-4b2c-3d4e-5f6a7b8c9d0e"

buyer_name
string | null
required
Example:

"Jane Doe"

buyer_email
string | null
required
Example:

"jane@example.com"

channel
enum<string>
required
Available options:
shop,
import,
api,
swapped
Example:

"shop"

payment_method
string | null
required
Example:

"ideal"

total_price
number | null
required
Example:

50

refunded
number
required
Example:

0

payed_at
string | null
required
Example:

"2026-06-15T14:30:00Z"

created_at
string
required
Example:

"2026-06-15T14:25:00Z"

order_lines
object[]
required